MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
Agents
Auth
Billing
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Embedding
Fleet
Knowledge Bases
Attach Knowledge Base to AgentCreate Knowledge BaseDelete Knowledge BaseDetach Knowledge Base from AgentGet Knowledge BaseList Agent's Attached Knowledge BasesList Knowledge Base DocumentsList Embedding ProvidersList My Knowledge BasesUpdate Knowledge Base
LLM
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisations
Realtime
Reviews
Roadmap
SCIM
STT
Suppression
Triggers
TTS
Users
Utils
Voices
Webhooks
Workflows
API ReferenceKnowledge Bases

Attach Knowledge Base to Agent

PUT
/v1/agents/{agent_id}/knowledge-bases/{knowledge_base_id}

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

agent_id*Agent Id
Formatuuid
knowledge_base_id*Knowledge Base Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/knowledge-bases/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
{  "detail": "string",  "code": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Knowledge Bases

Endpoints in the Knowledge Bases group.

Create Knowledge Base

Next Page